Subject: shepherd fails to terminate processes after PID file timeout expiration
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Thu, 16 Apr 2020 23:16:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As discussed during <https://issues.guix.gnu.org/issue/40572>, in
Shepherd 0.7.0, if a process created with ‘fork+exec-command’ & co. with
#:pid-file fails to start before #:pid-file-timeout has expired,
shepherd marks it as failed but the process potentially just keeps
running.

Ludo’.